stringprep_ucs4_nfkc_normalize(3)

NAME
stringprep_ucs4_nfkc_normalize - normalize Unicode string

SYNOPSIS
#include <stringprep.h>

uint32_t * stringprep_ucs4_nfkc_normalize(uint32_t * str, ssize_t len);

ARGUMENTS

uint32_t * str
    a Unicode string.

ssize_t len
    length of str array, or -1 if str is nul-terminated.

DESCRIPTION
Converts UCS4 string into UTF-8 and runs stringprep_utf8_nfkc_normalize().

RETURN VALUE
a newly allocated Unicode string, that is the NFKC normalized form of str.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Simon Josefsson.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.